Qt 5.6 | Qt 3D | C++ Classes | QAlphaTest

Qt 5.6.3 Reference Documentation

# QAlphaTest Class

(Qt3DRender::QAlphaTest)

Inherits: | QRenderState

- List of all members, including inherited members

## Public Types

enum | AlphaFunc { Never, Always, Less, LessOrEqual, ..., NotEqual }

## Properties

- clamp : float
- func : AlphaFunc

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QAlphaTest(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QAlphaTest()
float | clamp() const
AlphaFunc | func() const

- 1 public function inherited from Qt3DRender::QRenderState
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setClamp(float clamp)
void | setFunc(AlphaFunc func)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | clampChanged(float clamp)
void | funcChanged(AlphaFunc func)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Member Type Documentation

### enum QAlphaTest::AlphaFunc

## Property Documentation

### clamp : float

Access functions:

float | clamp() const
void | setClamp(float clamp)

Notifier signal:

void | clampChanged(float clamp)

### func : AlphaFunc

Access functions:

AlphaFunc | func() const
void | setFunc(AlphaFunc func)

Notifier signal:

void | funcChanged(AlphaFunc func)

## Member Function Documentation

### QAlphaTest::QAlphaTest(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QAlphaTest.

### QAlphaTest::~QAlphaTest()

Destroys the instance of QAlphaTest.

### `[protected]` void QAlphaTest::copy(const Qt3DCore::QNode *ref)